Home
last modified time | relevance | path

Searched refs:pfx (Results 1 – 25 of 102) sorted by relevance

12345

/openbmc/u-boot/arch/arm/mach-rmobile/
H A Dpfc-r8a7790.h15 PORT_10(fn, pfx, sfx), PORT_10(fn, pfx##1, sfx), \
16 PORT_10(fn, pfx##2, sfx), PORT_1(fn, pfx##30, sfx), \
20 PORT_10(fn, pfx, sfx), PORT_10(fn, pfx##1, sfx), \
25 PORT_10(fn, pfx, sfx), PORT_10(fn, pfx##1, sfx), \
38 PORT_10(fn, pfx, sfx), PORT_10(fn, pfx##1, sfx), \
41 PORT_1(fn, pfx##24, sfx), PORT_1(fn, pfx##25, sfx)
109 #define _GP_GPIO(pfx, sfx) PINMUX_GPIO(GPIO_GP##pfx, GP##pfx##_DATA) argument
110 #define _GP_DATA(pfx, sfx) PINMUX_DATA(GP##pfx##_DATA, GP##pfx##_FN, \ argument
111 GP##pfx##_IN, GP##pfx##_OUT)
113 #define _GP_INOUTSEL(pfx, sfx) GP##pfx##_IN, GP##pfx##_OUT argument
[all …]
/openbmc/linux/drivers/firmware/efi/
H A Dcper-arm.c111 printk("%stransaction type: %s\n", pfx, in cper_print_arm_err_info()
122 printk("%soperation type: %s\n", pfx, in cper_print_arm_err_info()
128 printk("%soperation type: %s\n", pfx, in cper_print_arm_err_info()
134 printk("%soperation type: %s\n", pfx, in cper_print_arm_err_info()
153 pfx, level); in cper_print_arm_err_info()
180 printk("%sPC is precise\n", pfx); in cper_print_arm_err_info()
182 printk("%sPC is imprecise\n", pfx); in cper_print_arm_err_info()
209 printk("%srequest timed out\n", pfx); in cper_print_arm_err_info()
216 printk("%saddress space: %s\n", pfx, in cper_print_arm_err_info()
259 pfx, proc->mpidr); in cper_print_proc_arm()
[all …]
H A Dcper_cxl.c82 pfx, prot_err->agent_addr.segment, in cper_print_prot_err()
107 pr_info("%s slot: %d\n", pfx, in cper_print_prot_err()
110 pfx, prot_err->device_id.vendor_id, in cper_print_prot_err()
113 pfx, prot_err->device_id.subsystem_vendor_id, in cper_print_prot_err()
116 pr_info("%s class_code: %02x%02x\n", pfx, in cper_print_prot_err()
160 pr_info("%s CXL DVSEC:\n", pfx); in cper_print_prot_err()
171 pr_info("%s CXL Error Log:\n", pfx); in cper_print_prot_err()
179 pr_info("%s cxl_ras_cor_status: 0x%08x", pfx, in cper_print_prot_err()
181 pr_info("%s cxl_ras_cor_mask: 0x%08x\n", pfx, in cper_print_prot_err()
183 pr_info("%s cap_control: 0x%08x\n", pfx, in cper_print_prot_err()
[all …]
H A Dcper.c178 pfx, proc->target_addr); in cper_print_proc_generic()
181 pfx, proc->requestor_id); in cper_print_proc_generic()
184 pfx, proc->responder_id); in cper_print_proc_generic()
372 pfx, mem->physical_addr); in cper_print_mem()
375 pfx, mem->physical_addr_mask); in cper_print_mem()
378 printk("%s%s\n", pfx, rcd_decode_str); in cper_print_mem()
385 printk("%s%s\n", pfx, rcd_decode_str); in cper_print_mem()
410 printk("%s""version: %d.%d\n", pfx, in cper_print_pcie()
420 printk("%s""slot: %d\n", pfx, in cper_print_pcie()
446 pfx, aer->uncor_severity); in cper_print_pcie()
[all …]
H A Dcper-x86.c163 printk("%sError Type: %u, %s\n", pfx, err_type, in print_err_info_ms()
181 print_bool("Overflow", pfx, check, CHECK_MS_OVERFLOW); in print_err_info_ms()
193 return print_err_info_ms(pfx, validation_bits, check); in print_err_info()
198 printk("%sTransaction Type: %u, %s\n", pfx, trans_type, in print_err_info()
212 printk("%sOperation: %u, %s\n", pfx, op, in print_err_info()
217 printk("%sLevel: %llu\n", pfx, CHECK_LEVEL(check)); in print_err_info()
232 print_bool("Overflow", pfx, check, CHECK_OVERFLOW); in print_err_info()
251 printk("%sAddress Space: %u, %s\n", pfx, addr_space, in print_err_info()
269 printk("%sCPUID Info:\n", pfx); in cper_print_proc_ia()
274 snprintf(newpfx, sizeof(newpfx), "%s ", pfx); in cper_print_proc_ia()
[all …]
/openbmc/linux/arch/mips/include/asm/
H A Datomic.h26 #define ATOMIC_OPS(pfx, type) \ argument
27 static __always_inline type arch_##pfx##_read(const pfx##_t *v) \
32 static __always_inline void arch_##pfx##_set(pfx##_t *v, type i) \
45 static __inline__ void arch_##pfx##_##op(type i, pfx##_t * v) \
62 "1: " #ll " %0, %1 # " #pfx "_" #op " \n" \
73 arch_##pfx##_##op##_return_relaxed(type i, pfx##_t * v) \
92 "1: " #ll " %1, %2 # " #pfx "_" #op "_return\n" \
107 arch_##pfx##_fetch_##op##_relaxed(type i, pfx##_t * v) \
125 "1: " #ll " %1, %2 # " #pfx "_fetch_" #op "\n" \
196 #define ATOMIC_SIP_OP(pfx, type, op, ll, sc) \ argument
[all …]
H A Dr4kcache.h197 #define __BUILD_BLAST_CACHE(pfx, desc, indexop, hitop, lsize, extra) \ argument
198 static inline void extra##blast_##pfx##cache##lsize(void) \
213 static inline void extra##blast_##pfx##cache##lsize##_page(unsigned long page) \
224 static inline void extra##blast_##pfx##cache##lsize##_page_indexed(unsigned long page) \
261 #define __BUILD_BLAST_USER_CACHE(pfx, desc, indexop, hitop, lsize) \ argument
262 static inline void blast_##pfx##cache##lsize##_user_page(unsigned long page) \
284 #define __BUILD_BLAST_CACHE_RANGE(pfx, desc, hitop, prot, extra) \ argument
285 static inline void prot##extra##blast_##pfx##cache##_range(unsigned long start, \
313 #define __BUILD_BLAST_CACHE_NODE(pfx, desc, indexop, hitop, lsize) \ argument
314 static inline void blast_##pfx##cache##lsize##_node(long node) \
H A Dio.h218 #define __BUILD_MEMORY_SINGLE(pfx, bwlq, type, barrier, relax, irq) \ argument
220 static inline void pfx##write##bwlq(type val, \
233 __val = pfx##ioswab##bwlq(__mem, val); \
260 static inline type pfx##read##bwlq(const volatile void __iomem *mem) \
296 return pfx##ioswab##bwlq(__mem, __val); \
299 #define __BUILD_IOPORT_SINGLE(pfx, bwlq, type, barrier, relax, p) \ argument
301 static inline void pfx##out##bwlq##p(type val, unsigned long port) \
313 __val = pfx##ioswab##bwlq(__addr, val); \
321 static inline type pfx##in##bwlq##p(unsigned long port) \
338 return pfx##ioswab##bwlq(__addr, __val); \
/openbmc/u-boot/include/
H A Dsh_pfc.h118 #define PORT_1(fn, pfx, sfx) fn(pfx, sfx) argument
121 PORT_1(fn, pfx##0, sfx), PORT_1(fn, pfx##1, sfx), \
122 PORT_1(fn, pfx##2, sfx), PORT_1(fn, pfx##3, sfx), \
123 PORT_1(fn, pfx##4, sfx), PORT_1(fn, pfx##5, sfx), \
124 PORT_1(fn, pfx##6, sfx), PORT_1(fn, pfx##7, sfx), \
125 PORT_1(fn, pfx##8, sfx), PORT_1(fn, pfx##9, sfx)
128 PORT_10(fn, pfx##1, sfx), PORT_10(fn, pfx##2, sfx), \
129 PORT_10(fn, pfx##3, sfx), PORT_10(fn, pfx##4, sfx), \
130 PORT_10(fn, pfx##5, sfx), PORT_10(fn, pfx##6, sfx), \
134 #define _PORT_ALL(pfx, sfx) pfx##_##sfx argument
[all …]
/openbmc/linux/scripts/atomic/
H A Datomic-tbl.sh49 local pfx="$1"; shift
62 for base in "${pfx}${name}${sfx}${order}" "${pfx}${name}${sfx}" "${name}"; do
191 local pfx="$1"; shift
198 local atomicname="${atomic}_${pfx}${name}${sfx}${order}"
232 local pfx="$1"; shift
237 local atomicname="${atomic}_${pfx}${name}${sfx}${order}"
253 local pfx="$1"; shift
257 gen_proto_order_variant "${meta}" "${pfx}" "${name}" "${sfx}" "" "$@"
275 local pfx=""
278 meta_in "${meta}" "fF" && pfx="fetch_"
[all …]
H A Dgen-atomic-fallback.sh13 local pfx="$1"; shift
32 local pfx="$1"; shift
46 local pfx="$1"; shift
51 local tmpl="$(find_fallback_template "${pfx}" "${name}" "${sfx}" "${order}")"
59 local pfx="$1"; shift
66 local atomicname="${atomic}_${pfx}${name}${sfx}${order}"
67 local basename="${atomic}_${pfx}${name}${sfx}"
126 local pfx="$1"; shift
131 gen_proto_order_variant "${meta}" "${pfx}" "${name}" "${sfx}" "" "$@"
134 gen_proto_order_variant "${meta}" "${pfx}" "${name}" "${sfx}" "_acquire" "$@"
[all …]
/openbmc/openbmc/meta-google/recipes-google/networking/gbmc-bridge/
H A Dgbmc-br-from-ra.sh29 local pfx
30 for pfx in "${!gbmc_br_from_ra_pfxs[@]}"; do
32 if ! cidr="$(ip_pfx_to_cidr "$pfx")"; then
43 if ! addr="$(ip_pfx_concat "$pfx" "$sfx")"; then
51 local valid="${gbmc_br_from_ra_pfxs["$pfx"]}"
78 pfx="${route%% *}"
81 gbmc_br_from_ra_pfxs["$pfx"]="${BASH_REMATCH[3]}"
84 gbmc_br_from_ra_pfxs["$pfx"]=0
H A Dgbmc-br-lib.sh83 local pfx
84 pfx="$(ip_bytes_to_str pfx_bytes)"
91 Address=$pfx/128
97 Route=$pfx/80
104 echo "Runtime setting gbmcbr IP: $pfx" >&2
H A Dgbmc-br-nft.sh64 pfx="$(ip_bytes_to_str ip_bytes)/76"
65 if [[ $action == add && $pfx != "$gbmc_br_nft_pfx" ]]; then
66 gbmc_br_nft_pfx="$pfx"
/openbmc/openbmc/meta-google/recipes-google/ncsi/files/
H A Dgbmc-ncsi-ip-from-ra.sh.in41 [[ -n "$pfx" && -n "$rtr" ]] || return
42 [[ "$pfx" != "$old_pfx" || "$rtr" != "$old_rtr" ]] || return
43 old_pfx="$pfx"
46 echo "Found prefix $pfx from $rtr" >&2
52 gbmc_br_set_ip "$pfx" || true
67 pfx=
77 pfx="$(ip_bytes_to_str t_pfx_b)"
/openbmc/linux/drivers/pinctrl/renesas/
H A Dpfc-r8a73a4.c20 PORT_1(32, fn, pfx##32, sfx), PORT_1(33, fn, pfx##33, sfx), \
21 PORT_1(34, fn, pfx##34, sfx), PORT_1(35, fn, pfx##35, sfx), \
22 PORT_1(36, fn, pfx##36, sfx), PORT_1(37, fn, pfx##37, sfx), \
23 PORT_1(38, fn, pfx##38, sfx), PORT_1(39, fn, pfx##39, sfx), \
26 PORT_1(64, fn, pfx##64, sfx), PORT_1(65, fn, pfx##65, sfx), \
27 PORT_1(66, fn, pfx##66, sfx), PORT_1(67, fn, pfx##67, sfx), \
28 PORT_1(68, fn, pfx##68, sfx), PORT_1(69, fn, pfx##69, sfx), \
30 PORT_1(80, fn, pfx##80, sfx), PORT_1(81, fn, pfx##81, sfx), \
31 PORT_1(82, fn, pfx##82, sfx), PORT_1(83, fn, pfx##83, sfx), \
32 PORT_1(84, fn, pfx##84, sfx), PORT_1(85, fn, pfx##85, sfx), \
[all …]
H A Dsh_pfc.h649 #define PORT_1(pn, fn, pfx, sfx) fn(pn, pfx, sfx) argument
652 PORT_1(pn, fn, pfx##0, sfx), PORT_1(pn+1, fn, pfx##1, sfx), \
653 PORT_1(pn+2, fn, pfx##2, sfx), PORT_1(pn+3, fn, pfx##3, sfx), \
654 PORT_1(pn+4, fn, pfx##4, sfx), PORT_1(pn+5, fn, pfx##5, sfx), \
655 PORT_1(pn+6, fn, pfx##6, sfx), PORT_1(pn+7, fn, pfx##7, sfx), \
656 PORT_1(pn+8, fn, pfx##8, sfx), PORT_1(pn+9, fn, pfx##9, sfx)
659 PORT_10(pn+10, fn, pfx##1, sfx), PORT_10(pn+20, fn, pfx##2, sfx), \
660 PORT_10(pn+30, fn, pfx##3, sfx), PORT_10(pn+40, fn, pfx##4, sfx), \
666 #define _PORT_ALL(pn, pfx, sfx) pfx##_##sfx argument
689 PINMUX_DATA(PORT##pfx##_DATA, PORT##pfx##_FN0, \
[all …]
/openbmc/openbmc/meta-google/recipes-google/networking/network-sh/
H A Dlib.sh215 local pfx="$1"
219 if ! [[ "$pfx" =~ ^([0-9a-fA-F:.]+)/([0-9]+)$ ]]; then
220 echo "Invalid IP prefix: $pfx" >&2
229 echo "Invalid IP prefix: $pfx" >&2
239 echo "Invalid byte $((cidr/8)): $pfx" >&2
246 echo "Byte $i not 0: $pfx" >&2
258 echo "Suffix not the same family as prefix: $pfx $sfx" >&2
/openbmc/u-boot/drivers/pinctrl/renesas/
H A Dsh_pfc.h524 #define PORT_1(pn, fn, pfx, sfx) fn(pn, pfx, sfx) argument
527 PORT_1(pn, fn, pfx##0, sfx), PORT_1(pn+1, fn, pfx##1, sfx), \
528 PORT_1(pn+2, fn, pfx##2, sfx), PORT_1(pn+3, fn, pfx##3, sfx), \
529 PORT_1(pn+4, fn, pfx##4, sfx), PORT_1(pn+5, fn, pfx##5, sfx), \
530 PORT_1(pn+6, fn, pfx##6, sfx), PORT_1(pn+7, fn, pfx##7, sfx), \
531 PORT_1(pn+8, fn, pfx##8, sfx), PORT_1(pn+9, fn, pfx##9, sfx)
534 PORT_10(pn+10, fn, pfx##1, sfx), PORT_10(pn+20, fn, pfx##2, sfx), \
535 PORT_10(pn+30, fn, pfx##3, sfx), PORT_10(pn+40, fn, pfx##4, sfx), \
541 #define _PORT_ALL(pn, pfx, sfx) pfx##_##sfx argument
581 PINMUX_DATA(PORT##pfx##_DATA, PORT##pfx##_FN0, \
[all …]
/openbmc/linux/net/ipv6/
H A Drpl.c15 const void *post, unsigned char pfx) in ipv6_rpl_addr_decompress() argument
17 memcpy(dst, daddr, pfx); in ipv6_rpl_addr_decompress()
18 memcpy(&dst->s6_addr[pfx], post, IPV6_PFXTAIL_LEN(pfx)); in ipv6_rpl_addr_decompress()
22 unsigned char pfx) in ipv6_rpl_addr_compress() argument
24 memcpy(dst, &addr->s6_addr[pfx], IPV6_PFXTAIL_LEN(pfx)); in ipv6_rpl_addr_compress()
/openbmc/linux/net/6lowpan/
H A Ddebugfs.c105 be16_to_cpu(ctx->pfx.s6_addr16[0]), in lowpan_ctx_pfx_show()
106 be16_to_cpu(ctx->pfx.s6_addr16[1]), in lowpan_ctx_pfx_show()
107 be16_to_cpu(ctx->pfx.s6_addr16[2]), in lowpan_ctx_pfx_show()
108 be16_to_cpu(ctx->pfx.s6_addr16[3]), in lowpan_ctx_pfx_show()
109 be16_to_cpu(ctx->pfx.s6_addr16[4]), in lowpan_ctx_pfx_show()
110 be16_to_cpu(ctx->pfx.s6_addr16[5]), in lowpan_ctx_pfx_show()
111 be16_to_cpu(ctx->pfx.s6_addr16[6]), in lowpan_ctx_pfx_show()
112 be16_to_cpu(ctx->pfx.s6_addr16[7])); in lowpan_ctx_pfx_show()
151 ctx->pfx.s6_addr16[i] = cpu_to_be16(addr[i] & 0xffff); in lowpan_ctx_pfx_write()
207 &t->table[i].pfx, t->table[i].plen, in lowpan_context_show()
/openbmc/u-boot/tools/
H A Dmips-relocs.c22 #define hdr_field(pfx, idx, field) ({ \ argument
27 _val = pfx##hdr64[idx].field; \
28 _size = sizeof(pfx##hdr64[0].field); \
30 _val = pfx##hdr32[idx].field; \
31 _size = sizeof(pfx##hdr32[0].field); \
51 #define set_hdr_field(pfx, idx, field, val) ({ \ argument
56 _size = sizeof(pfx##hdr64[0].field); \
58 _size = sizeof(pfx##hdr32[0].field); \
81 pfx##hdr64[idx].field = _val; \
83 pfx##hdr32[idx].field = _val; \
/openbmc/linux/include/linux/
H A Dbtree-type.h2 #define __BTREE_TP(pfx, type, sfx) pfx ## type ## sfx argument
3 #define _BTREE_TP(pfx, type, sfx) __BTREE_TP(pfx, type, sfx) argument
4 #define BTREE_TP(pfx) _BTREE_TP(pfx, BTREE_TYPE_SUFFIX,) argument
/openbmc/linux/drivers/acpi/
H A Dacpi_extlog.c94 static void __print_extlog_rcd(const char *pfx, in __print_extlog_rcd() argument
101 if (!pfx) { in __print_extlog_rcd()
103 pfx = KERN_INFO; in __print_extlog_rcd()
105 pfx = KERN_ERR; in __print_extlog_rcd()
108 snprintf(pfx_seq, sizeof(pfx_seq), "%s{%u}", pfx, curr_seqno); in __print_extlog_rcd()
113 static int print_extlog_rcd(const char *pfx, in print_extlog_rcd() argument
127 __print_extlog_rcd(pfx, estatus, cpu); in print_extlog_rcd()
/openbmc/linux/tools/testing/selftests/drivers/net/netdevsim/
H A Dudp_tunnel_nic.sh260 pfx="basic"
338 pfx="module tests"
379 local pfx=$1
402 local pfx=$1
479 pfx="sync all"
537 pfx="destroy full"
566 pfx="IPv4 only"
628 pfx="error injection"
684 pfx="netdev flags"
805 pfx="table sharing"
[all …]

12345